VERSION 5.00
Begin VB.Form frmEnSrvr 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "EnumServer"
   ClientHeight    =   3210
   ClientLeft      =   2040
   ClientTop       =   2835
   ClientWidth     =   5595
   Icon            =   "frmEnSrvr.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3210
   ScaleWidth      =   5595
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   380
      Left            =   3360
      TabIndex        =   5
      Top             =   2400
      Width           =   1815
   End
   Begin VB.CommandButton cmdExecute 
      Caption         =   "&Execute"
      Height          =   380
      Left            =   360
      TabIndex        =   3
      Top             =   2400
      Width           =   1815
   End
   Begin VB.ComboBox combSrvrInfo 
      Height          =   315
      Left            =   2040
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   1800
      Width           =   3135
   End
   Begin VB.TextBox txtNumSrvrs 
      Height          =   285
      Left            =   2040
      TabIndex        =   1
      Text            =   "10"
      Top             =   1320
      Width           =   1695
   End
   Begin VB.TextBox txtDevId 
      Height          =   285
      Left            =   2040
      TabIndex        =   0
      Text            =   "FFFF"
      Top             =   840
      Width           =   1695
   End
   Begin VB.ComboBox combEnSrvr 
      Height          =   315
      Left            =   2040
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   360
      Width           =   3135
   End
   Begin VB.Label lSrvrInfo 
      Caption         =   "Server Info :"
      Height          =   255
      Left            =   360
      TabIndex        =   9
      Top             =   1840
      Width           =   975
   End
   Begin VB.Label lNumSrvrs 
      Caption         =   "Num Servers :"
      Height          =   255
      Left            =   360
      TabIndex        =   8
      Top             =   1360
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "DevID(Hex) :"
      Height          =   255
      Left            =   360
      TabIndex        =   7
      Top             =   880
      Width           =   1095
   End
   Begin VB.Label lbEnSrvrFlg 
      Caption         =   "Enum Server Flag :"
      Height          =   255
      Left            =   360
      TabIndex        =   6
      Top             =   400
      Width           =   1455
   End
End
Attribute VB_Name = "frmEnSrvr"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' (C) Copyright 1991-2002 Rainbow Technologies, Inc. All rights reserved.

Private Sub cmdCancel_Click()
  Unload Me
'   Me.Hide
 '  frmUSproeval.Show
End Sub

Private Sub cmdExecute_Click()
    Dim numSrvrs, i, j As Integer
    Dim srvrInfo As SrvrInfoArr
    Dim h, srvrInfoStr As String
    Dim devID, hrdLmt As Long
    Dim index As Integer 'declaring enumFlg as integer made enSrvr return 16 (inavlid param)
    
    'first chk that all data has been put in
    
    If txtDevId = "" Then
       MsgBox "Specify devID to proceed.", 0, "EnumServer"
       Exit Sub
    End If
    If txtNumSrvrs = "" Then
       MsgBox "Specify NumSrvrs to proceed.", 0, "EnumServer"
       Exit Sub
    End If
    
    'now extract data frm the dlg and chk each value
    devID = ToHex(txtDevId, MAX_CELL_DATA_LEN, "DevID", "EnumServer")
    If ErrorPresent("DevID", "EnumServer", MAX_CELL_DATA_LEN) = 1 Then
       Call ClearTextBoxes
       Exit Sub
    End If
    numSrvrs = Val(txtNumSrvrs)
    If numSrvrs > MAX_NUM_SERVERS Or numSrvrs < 1 Then
       MsgBox "Number of servers must be between 1 to 10.", 0, "EnumServer"
       Exit Sub
    End If
    index = combEnSrvr.ListIndex
    If index < 0 Then
       MsgBox "Select a value for enum flag to proceed.", 0, "EnumServer"
       Exit Sub
    End If
    If (index = 0) Then
        enumFlg = NSPRO_RET_ON_FIRST
    ElseIf (index = 1) Then
        enumFlg = NSPRO_GET_ALL_SERVERS
    ElseIf (index = 2) Then
        enumFlg = NSPRO_RET_ON_FIRST_AVAILABLE
    End If
    combSrvrInfo.Clear 'clear the prev info from the combo
    stval% = RNBOsproEnumServer(enumFlg, devID, srvrInfo, numSrvrs)
    If stval% <> 0 Then
       MsgBox "EnumServer failed!" + nl + "Return value is " & stval% & ".", 0, "EnumServer"
       Exit Sub
    End If

    
    For i = 0 To (numSrvrs - 1)
   ' msg$ = (i + 1) & "        "
   msg$ = ""
    For j = 0 To 31
        h = Chr(srvrInfo.srvrInfo(i).srvrAdd(j))  'de-compress
        If (srvrInfo.srvrInfo(i).srvrAdd(j)) = 0 Then Exit For
        msg$ = msg$ + h
    Next j
    hrdLmt = IntegerToUnsigned(srvrInfo.srvrInfo(i).numLicAvail)
    h = CStr(hrdLmt)
    msg$ = msg$ + "   " + h
    combSrvrInfo.AddItem (msg)
    Next i
    txtNumSrvrs = CStr(numSrvrs)
    MsgBox "EnumServer succesful!" + nl + "Click ServerInfo combo for details.", 0, "EnumServer"
End Sub


Private Sub Form_Load()
   combEnSrvr.AddItem ("NSPRO_RET_ON_FIRST")
   combEnSrvr.AddItem ("NSPRO_GET_ALL_SERVERS")
   combEnSrvr.AddItem ("NSPRO_RET_ON_FIRST_AVAILABLE")
   combEnSrvr.ListIndex = 1
   
   ClearTextBoxes
End Sub

Private Sub txtNumSrvrs_KeyPress(KeyAsc As Integer)
'if its not a numeric character and also not the "del" (127 ascii)key or backspace
   If ((KeyAsc < Asc("0") Or KeyAsc > Asc("9")) And (KeyAsc <> 127) And (KeyAsc <> 8)) Then
         KeyAsc = 0
   End If
End Sub

Private Sub ClearTextBoxes()
   txtDevId = "FFFF"
   txtNumSrvrs = "10"
   combSrvrInfo.Clear
End Sub
